Subject: Re: bug#40900: Add face for function params in info

From: Stefan Kangas <[email-masked]>
Date: Wed, 9 Sep 2020 06:22:25 -0700

Eli Zaretskii <[email-masked]> writes:

>> Date: Mon, 27 Apr 2020 12:46:02 +0000
>> From: ndame via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>>
>> The Elisp info manual could be easier to read if parameters which are capitalized
>> could have a face too:
>>
>>    If the minibuffer prompt string PROMPT does not end in ‘:’ ...
>>
>>
>> Though I don't know if it's possible to add language specific faces to info,
>> because a capitalized word could mean something else in an other language.
>>
>> Maybe a face like Info-elisp-param-face which is added only if the current
>> info is about elisp?
>
> I think the challenge is to reliably identify the strings that are
> function parameters.  Info files lack the markup that identifies
> various symbols in the Texinfo sources, and the code which finds
> function arguments must not err too much, or users will complain.

Isn't this therefore a limitation in Texinfo?  We could of course hack
around it, but it sounds like it would risk being error-prone and hard
to maintain.